<!DOCTYPE html>
<html lang="en">




<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- page title (site.title if page.title doesn't exist) -->
  <title>W3. Computer Controlled Cutting</title>

  <!-- site description (appears in Google etc.) or page.excerpt if defined -->
  <meta name="Comuputer" content="Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sa...">

  <!-- import our stylesheet -->
  <link href="subpage.css" rel="stylesheet" type="text/css">





  <!-- load favicon -->
  <link rel="shortcut icon" type="image/png" href="/mdef-jekyll-starter/images/favicon.png" />


  <!-- canonical URLs for better SEO -->
  <link rel="
    canonical" href="http://localhost:4000/mdef-jekyll-starter/reflections/biology-zero/">
  <link rel="alternate" type="application/rss+xml" title="MDEF Jekyll starter" href="/mdef-jekyll-starter/feed.xml">
<!-- load css sytle sheet -->

<title> Computer Controlled Cutting </title>
  <link href="style.css" rel="stylesheet" type="text/css">

</head>

<body>

<div class="container">
  <header class="header" role="banner">


        <div class="row" style="text-align:center;">

        <ul class="main-nav">


                    <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> MDEF </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Reflections.html"> First term </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Secondterm.html"> Second term </a></li>
          <li class="active"><a href="https://mdef.gitlab.io/adriana.tamargo/FabAcademy.html"> Fab Academy </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Finalproject.html"> Final project </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Aboutme.html"> About me </a></li>
          <li> <h5> adriana.tamargo@iaac.net </h5> </li>
                </ul>

    </div>


  </header>

  <main class="page-content" aria-label="Content">
    <div class="wrapper">

    <h1 id="subheading-2">W3. Computer Controlled  Cutting</h1>

<p>The assignment of this week consisted on cutting something on the vinylcutter and designing and lasercutting a parametric press-fit construction kit.  </p>

<h2 id="subheading-2">Testing the machines</h2>

<p>Together with my classmate <a href="https://mdef.gitlab.io/laura.alvarez/"> Laura </a> we did  some tests with the laser cutter in carboard and plywood. </p>

<p>First we did some simple power/speed tests in order to find some right settings for cutting 4mm cardboard and 3mm plywood. Then we made a press-fit test using the machine Speedy 100 by Trotec. </p>

<b>Color codes</b>

<p>Cutting: red Marking: black (hatch command) Engraving: blue</p>

<b>The process:</b>

<p>First we open the file in Rhino on the computer that controls the machine we want to use. There we must make sure the file is in millimeters (when you don’t design it in rhino it changes the units) and check if we have duplicated lines that we should delet. We can also use the command Make2D. </p>

<p>Then we should execute the print command Ctrl + P. </p>

<b>Once in the printing program: </b>

<p>1. Select the machine we want to use </p>

<p>2.  Select the output type</p>

<p> 3.  Make sure the scale is 1:1 </p>

<p>4. Press the set butto to rearrange the working area relative to the design in Rhino </p>

<b>In the Trotec Job Control: </b>

<p>1. Open the Trotec Job Control and drag and drop the job from the right side panel or double click the file. In case of checking if that one is the job to be working with, click once and it will appear a little window so you can check. Once is dragged, click on the job and you will be able to see a black pannel. </p>

<p>2. Define the material properties through the material settings set up. Check the material to make sure is the one you are going to work with and define the values for cutting, marking or engraving. In case of cardboard is a bit hidden and we need to go to paper and then double click in cardboard.  </p>

<p>3. The variables we can play with are power, speed and frequency. We should test and reference the engraving speed. The rule of thumb is to start slow and go up from there. This step is really a trial and error process as there are not appropriate settings for each material, it depends on the finish and result you are looking for, although there are many standard settings forms that could be helpful to get started setting the values for each material. </p>

<b>In the machine: </b>

<p>1.  Place the material in the machine and manually adjust the height until the small plastic thingy falls down.</p>

<p>2. Manually place the laser in the starting point and send job. (Right-click on design to do a Job Reset) </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/pressfit-test1.PNG" width="650">
<img src="https://mdef.gitlab.io/adriana.tamargo/pressfit-test2.PNG" width="650">


<h2 id="subheading-2">Making a parametric press-fit kit</h2>

<h2 id="subheading-2">Designing the kit in Grasshopper</h2>

<p>I wanted to make a very simple press-fit as it's my first time using grasshopper. I followed <a href="http://archive.fabacademy.org/2018/labs/barcelona/students/javier-alboguijarro/week3.html"> Javi Albo's documentation </a> for that. I add here a bit more specification on the steps that I found difficult to find online.
</p>

<b>Grasshopper for Dummies as me:</b>

<p>1. Open Grasshopper from the Rhino command line by typing "Grasshopper".</p>
<p>2. Doble click on the canvas to open a search dialogue.</p>
<p>3. Create a polygon: Type "polygon" on the search bar.</p>
<p>4. Create a slider: Doble click on the canvas and write a random number. </p>
<p>5. Behind the attributes of the polygon: P(plane), R(radius of the polygon), S(segments, number of sides of the polygon), Rf(polygon corner fillet radius). </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper1.PNG" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper2.PNG" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper3.PNG" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper4.PNG" width="550">

<p>6. Explode the polygon: double click on the canvas and type "explode" in order to get the segments.</p>
<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper5.PNG" width="550">

<p>7. Find the middle point of the segments, for that we click the command "Eval" and then the command "Pannel" to add a value to the operation "Eval". In this case we add a value of 0.5 as we are looking for the middle point of the segment.</p>

<p>8. Set a plane on these middle points. For that, we add the command "Pl origin" and connect it with the "Eval" box. We also add a "XY plane" that we connecto to the "Pl origin" box. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper6.PNG" width="550">

<p>9. We use the command "Align" to orient the created planes with the sides of the polygon.</p>

<p>10. Through the command "rectangle", we create rectangles on the planes created. To customize the x and the y of this rectangle, which are going to correspond with the depth of the joint and the thickness of the material used, we add two boxes called "Construct domain (dom)", and we connect this two boxes to two different sliders, one for the depth of the press-fit and the other one to vary the thickness of the material. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper7.PNG" width="550">

<p>11. Substract the holes to the polygon. At this point, we have the polygon and the holes created and we need to substract them. For that, we use the command "Boundary" two times, one for the polygon and one for the rectangle created. Then we connect this boxes through the command "Region difference (RDiff)."" </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/ghopper8.PNG" width="550">

<p>12. Then in Javi's documentation he added the chamfers that as Neil recommended us on the class are better for making the joints. For some reason I forgot to make the chamfers and lasercutted the pressfit without them. In this case, the joints worked well and the chamfers weren't needed, but it's a good habit to design the joints with the chamfers, you can see how to add those steps on <a href="http://archive.fabacademy.org/2018/labs/barcelona/students/javier-alboguijarro/week3.html"> Javi Albo's documentation. </a> </p>

<p> Once the design is finished, I exported it as .dwg and went to the laser cutter. I opened the file in Rhino to adjust it and prepare it for the laser cutter. I checked that I didn't have any double line and used the command Join to make all the pieces in one line. Then I changed the color of the layer I was using to blue (the color to cut). After that I pressed ctrl + P. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser1.jpg" width="750">

<p> Once on the printing setup window, we need to adjust the canvas of the machine on the section View and output scale by pressing the button Set.., in this case I set it to 300 x 200 as I was using the small machine. We make sure that the scale is 1:1 and that we selected the machine we are using and then press Print. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser2.jpg" width="750">

<p> When pressing Print it will open the Trotter Job control software that manages the jobs we are sending to the machine. Once here, we will see our job on the right side of the window and we should double click it to send it to the big part of the window. Once there if we click it againg we will see it in a black color. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser3.jpg" width="750">

<p> The next thing we need to do is to adjust the Material Settings. For that we open the Material Settings window and we choose the material we are going to cut, in this case paper - cardboard. I checked the parameters to cut the cardboard on the samples we have at the fablab and change the cut parameters to 30.00 Power, 1.00 Speed and 1000 PPI/Hz. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser4.jpg" width="750">

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser5.jpg" width="750">

<p> This way we are done with the software preparations. Now we need to prepare the machine. For that we switch on the ventilator if it's not already on, and the lasercutter we want to use. Then we set up the high manually with the thingy that falls down when we have the right height. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser7.gif" width="750">

<p> Lastly, we put our material on the machine and fix it with tape. Now we are ready to cut. We press the connect button and then play. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser8.gif" width="750">

<img src="https://mdef.gitlab.io/adriana.tamargo/laaser9.jpg" width="750">

  <h1 id="subheading-2">Vinyl  Cutting</h1>

  <p>The second part of the assignment consisted in designing something and cut it with the vinyl cutter. I designed a sticker in adobe illustrator and used the Roland GS-24 vinyl cutter to cut it. </p>
<p> I drew the design adobe illustration, using the tools feather and brush mainly. If you want to vynil cut a photograph you can always open it in illustrator and trace it trhough the command object > expand appearance. </p>
<p> First I tried to cut an illustration I made some time ago, but there were a lot of lines and they were reallly thin. So when I vinyl cut it, it was very difficult to distingue the lines from the back. For cutting lines on the vinyl cutter we need to convert them into shapes, this way we can then take out the "lines" and create the composition by mixing the positive ane negatives of the vinyl sheet.</p>
<img src="https://mdef.gitlab.io/adriana.tamargo/vynil1.jpg" width="550">
<p> For the assignment I decided to draw something more simple and made the following illustration:</p>
<img src="https://mdef.gitlab.io/adriana.tamargo/vynil2.PNG" width="550">
<p> This time I converted the lines into shapes so I could take out them and create the negative effect of white into black. For that, I used the command object < expand and clicked the options "object" and "fill".</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/vynil3.PNG" width="550">
<p> Then I exported the fill to .svg so I could open it with Inkscaoption pe. Once on the vinyl cutter, the first thing I did was to turn on the machine and put the vinyl sheet I wanted to cut. For doing that, we need to press the lever that we can find at the back of the machine, insert the vinyl sheet and press again the lever up. </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/vinylcut4.jpg" width="350">
<img src="https://mdef.gitlab.io/adriana.tamargo/vinylcut5.jpg" width="350">
<img src="https://mdef.gitlab.io/adriana.tamargo/vinylcut6.jpg" width="350">
<p> After that we need to select the option "Select sheet > Roll/Piece", to tell the machine what width of material to expect and measure. After this, I opened the program Roland CutStudio, the software the operates the vinyl cutter. Once there, I imported the -svg file and then went to File > Cutting > Properties. In "Cutting Area" I clicked on "Get from machine". This way we get the proper size of our vinyl piece. Finally, I went to File > Cutting and the machine started to cut. </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/vinyl7.jpg" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/vinyl8.jpg" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/vinyl.gif" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/stickers.jpg" width="550">

<h2 id="subheading-2">Files</h2>

<a href="https://gitlab.com/MDEF/adriana.tamargo/blob/master/pressfit_adri.gh"> Grasshopper Press-fit </a></li>
<a href="https://gitlab.com/MDEF/adriana.tamargo/blob/master/vinylsticker.svg"> Sticker for vinyl cutting </a></li>


</div>

    </div>

  </div>



</article>
    </div>
  </main>

  <footer class="footer">

  <div class="row" style="text-align: center;">

      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Computer.html"> Previous post </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Electronicsproduction.html"> Next post </a></li>
        <li><h5>adriana.tamargo@iaac.net</h5></li>

    </div>

  </div>

    <div class="row" style="text-align: left;">

  </div>

</footer>

</body>

</html>
